# Guide de contribution

Merci de votre intérêt pour contribuer à Screen Time ! Ce document fournit des lignes directrices pour contribuer au projet.

## Code de conduite

En participant à ce projet, vous vous engagez à maintenir un environnement respectueux et bienveillant pour tous les contributeurs.

## Comment contribuer

### Signaler des bugs

1. Vérifiez d'abord si le bug n'a pas déjà été signalé dans les issues
2. Si ce n'est pas le cas, créez une nouvelle issue en utilisant le template bug report
3. Incluez autant de détails que possible :
   - Version de l'application
   - Version d'Android
   - Étapes pour reproduire
   - Comportement attendu vs observé
   - Captures d'écran si pertinent

### Suggérer des améliorations

1. Vérifiez si l'amélioration n'a pas déjà été suggérée
2. Créez une nouvelle issue en utilisant le template feature request
3. Expliquez clairement :
   - Le problème que résout votre suggestion
   - Comment cela fonctionnerait
   - Pourquoi ce serait utile

### Soumettre des modifications

1. Fork le projet
2. Créez une nouvelle branche (`git checkout -b feature/AmazingFeature`)
3. Committez vos changements (`git commit -m 'Add some AmazingFeature'`)
4. Push vers la branche (`git push origin feature/AmazingFeature`)
5. Ouvrez une Pull Request

#### Conventions de code

- Utilisez Kotlin pour tout nouveau code
- Suivez les [conventions de code Kotlin](https://kotlinlang.org/docs/coding-conventions.html)
- Commentez le code complexe
- Écrivez des tests unitaires pour les nouvelles fonctionnalités
- Mettez à jour la documentation si nécessaire

#### Process de revue

1. Au moins un mainteneur doit approuver les changements
2. Les tests doivent passer
3. Le code doit suivre les conventions
4. La documentation doit être à jour

## Licence

En contribuant, vous acceptez que vos contributions soient licenciées sous la même licence que le projet (GNU GPL v3).