# Règles ProGuard pour l'application Screen Time Tracker

# Garder les classes d'application et leurs méthodes
-keep class com.screentimetracker.** { *; }

# Règles pour les composants Android
-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keep public class * extends android.app.Service
-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.content.ContentProvider
-keep public class * extends android.preference.Preference
-keep public class * extends android.view.View

# Garder les attributs nécessaires pour Android
-keepattributes *Annotation*
-keepattributes SourceFile,LineNumberTable
-keepattributes Signature
-keepattributes Exceptions

# Règles pour Kotlin
-keep class kotlin.** { *; }
-keep class kotlin.Metadata { *; }
-dontwarn kotlin.**
-keepclassmembers class **$WhenMappings {
    <fields>;
}
-keepclassmembers class kotlin.Metadata {
    public <methods>;
}

# Règles pour Kotlinx Coroutines
-keepnames class kotlinx.coroutines.internal.MainDispatcherFactory {}
-keepnames class kotlinx.coroutines.CoroutineExceptionHandler {}
-keepclassmembers class kotlinx.coroutines.** {
    volatile <fields>;
}
-keepclassmembernames class kotlinx.** {
    volatile <fields>;
}
-dontwarn kotlinx.coroutines.**

# Règles pour AndroidX
-keep class androidx.** { *; }
-keep interface androidx.** { *; }
-keep class com.google.android.material.** { *; }
-dontwarn androidx.**

# Règles pour les composants du système
-keep class android.support.v4.app.** { *; }
-keep interface android.support.v4.app.** { *; }

# Règles pour la sérialisation JSON si utilisée
-keepattributes Signature
-keepattributes *Annotation*

# Règles pour le débogage
-renamesourcefileattribute SourceFile
-keepattributes SourceFile,LineNumberTable

# Règles pour les exceptions et les causes
-keepattributes Exceptions
-keepattributes InnerClasses

# Règles pour les enums
-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

# Règles pour les Parcelables
-keep class * implements android.os.Parcelable {
    public static final android.os.Parcelable$Creator *;
}

# Règles pour les ressources
-keepclassmembers class **.R$* {
    public static <fields>;
}