package com.screentimetracker.service

import android.app.NotificationManager
import android.content.Context
import androidx.core.app.NotificationCompat
import com.soberdigital.screentimetracker.R
import com.screentimetracker.ScreenTimeApplication.Companion.NOTIFICATION_CHANNEL_ID
import com.screentimetracker.ScreenTimeApplication.Companion.NOTIFICATION_ID
import com.screentimetracker.util.TimeFormatter

class ScreenTimeNotificationManager(
    private val context: Context,
    private val notificationManager: NotificationManager
) {
    fun createNotification(screenTimeMinutes: Long): android.app.Notification {
        return NotificationCompat.Builder(context, NOTIFICATION_CHANNEL_ID)
            .setSmallIcon(R.drawable.ic_time)
            .setContentTitle(TimeFormatter.formatTime(screenTimeMinutes))
            .setOngoing(true)
            .setShowWhen(false)
            .setAutoCancel(false)
            .setOnlyAlertOnce(true)
            .setPriority(NotificationCompat.PRIORITY_LOW)
            .setVisibility(NotificationCompat.VISIBILITY_PUBLIC)
            .setContentIntent(null)
            .setTicker(null)
            .build().apply {
                flags = flags or android.app.Notification.FLAG_NO_CLEAR
            }
    }

    fun updateNotification(screenTimeMinutes: Long) {
        notificationManager.notify(
            NOTIFICATION_ID,
            createNotification(screenTimeMinutes)
        )
    }
}