package com.screentimetracker.service

import android.content.Context
import android.util.Log

class ScreenTimeStorage(private val context: Context) {
    companion object {
        private const val TAG = "ScreenTimeStorage"
        private const val PREFS_NAME = "ScreenTimePrefs"
        private const val KEY_SCREEN_TIME = "screenTimeMinutes"
        private const val KEY_SECONDS_COUNTER = "secondsCounter"
        private const val KEY_CONTINUOUS_TIME = "continuousScreenTimeSeconds"
    }

    fun saveScreenTime(data: ScreenTimeData) {
        val prefs = context.getSharedPreferences(PREFS_NAME, Context.MODE_PRIVATE)
        prefs.edit().apply {
            putLong(KEY_SCREEN_TIME, data.screenTimeMinutes)
            putInt(KEY_SECONDS_COUNTER, data.secondsCounter)
            putInt(KEY_CONTINUOUS_TIME, data.continuousScreenTimeSeconds)
            apply()
        }
        Log.d(TAG, "Temps d'écran sauvegardé: ${data.screenTimeMinutes} minutes")
    }

    fun loadScreenTime(): ScreenTimeData {
        val prefs = context.getSharedPreferences(PREFS_NAME, Context.MODE_PRIVATE)
        return ScreenTimeData(
            screenTimeMinutes = prefs.getLong(KEY_SCREEN_TIME, 0),
            secondsCounter = prefs.getInt(KEY_SECONDS_COUNTER, 0),
            continuousScreenTimeSeconds = prefs.getInt(KEY_CONTINUOUS_TIME, 0)
        ).also {
            Log.d(TAG, "Temps d'écran chargé: ${it.screenTimeMinutes} minutes")
        }
    }
}